Package com.orchestranetworks.schema.trigger

# Interface NewTransientOccurrenceContext

All Superinterfaces:
  `NewRecordContext`, `TableTriggerExecutionContext`, `TriggerExecutionContext`

public interface NewTransientOccurrenceContext extends TableTriggerExecutionContext, NewRecordContext
Provides a context for preparing a transient record context upon record creation. Provides an execution context for handling operations for a new transient record context.

See Also:
  - `TableTrigger.handleNewContext(NewTransientOccurrenceContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueContextForUpdate`
  `getOccurrenceContextForUpdate()`
  Returns the same result as `getValueContext()`, but with an older and more verbose name.
  `ValueContextForUpdate`
  `getValueContext()`
  Returns the value context of the record being created.
  `boolean`
  `isDuplicatingOccurrence()`
  Returns the same result as `NewRecordContext.isDuplication()`, but with an older name.

  ### Methods inherited from interface com.orchestranetworks.instance.NewRecordContext

  `getAssociationLink, getAssociationSourceRecordContext, getDefinitionMode, getReferencingNode, getReferencingRecordContext, getSession, isDuplication`

  ### Methods inherited from interface com.orchestranetworks.schema.trigger.TableTriggerExecutionContext

  `getAdaptationHome, getOccurrenceContext, getTable, isHistoryRestore`

  ### Methods inherited from interface com.orchestranetworks.schema.trigger.TriggerExecutionContext

  `getSession`

- ## Method Details

  - ### getValueContext

    ValueContextForUpdate getValueContext()
    Returns the value context of the record being created. It allows to feed the content of the not-yet persisted record.

    In the case of a `record duplication`, the returned context has been populated first with the values of the record being duplicated. See also Duplicating a record with read-only or hidden fields for more information.

    Note: the returned context is identical to `TableTriggerExecutionContext.getOccurrenceContext()`, with the difference that the declared interface allows setting values.

    Specified by:
      `getValueContext` in interface `NewRecordContext`
    Since:
      5.9.0

  - ### getOccurrenceContextForUpdate

    ValueContextForUpdate getOccurrenceContextForUpdate()
    Returns the same result as `getValueContext()`, but with an older and more verbose name.
    See Also:
      - `getValueContext()`

  - ### isDuplicatingOccurrence

    boolean isDuplicatingOccurrence()
    Returns the same result as `NewRecordContext.isDuplication()`, but with an older name.
    See Also:
      - `NewRecordContext.isDuplication()`